--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

SET CURRENT SCHEMA $STAR_SCHEMA;
INSERT INTO D_BUILD (BUILD_ID,NAME) VALUES (-1,'Info not available');                                                        
INSERT INTO D_TEAM (TEAM_ID,NAME)VALUES (-1,'Info not available');                      
INSERT INTO D_EXECUTIONWKITEM_STATE (STATE_ID,NAME) VALUES (-1,'Info not available');            
INSERT INTO D_CURRENCY(CURRENCY_ID,NAME) VALUES  (-1,'Info not available');                            
INSERT INTO D_CUSTOMER (CUSTOMER_ID,NAME)VALUES  (-1,'Info not available');                            
INSERT INTO D_CUSTOMER_PRIORITY (CUSTOMER_PRIORITY_ID,NAME) VALUES(-1,'Info not available');                     
INSERT INTO D_FACTOR (FACTOR_ID,NAME) VALUES(-1,'Info not available');
INSERT INTO D_FILE (FILE_ID,NAME) VALUES(-1,'Info not available');
INSERT INTO D_FILE_VERSION (FILE_VERSION_ID,NAME) VALUES(-1,'Info not available');
INSERT INTO D_FILE_STREAM (FILE_STREAM_ID,NAME) VALUES(-1,'Info not available');
INSERT INTO D_FILE_BASELINE (FILE_BASELINE_ID,NAME) VALUES(-1,'Info not available');
INSERT INTO D_ACTIVITY (ACTIVITY_ID,NAME) VALUES(-1,'Info not available');
INSERT INTO D_ITERATION (ITERATION_ID,NAME) VALUES (-1,'Info not available');                           
INSERT INTO D_RESOURCE (RESOURCE_ID,FULL_NAME) VALUES (-1,'Info not available');                              
INSERT INTO D_PLATFORM (PLATFORM_ID,NAME) VALUES  (-1,'Info not available');                            
INSERT INTO D_PRIORITY (PRIORITY_ID,NAME)  VALUES (-1,'Info not available');                            
INSERT INTO D_PRODUCT (PRODUCT_ID,NAME) VALUES (-1,'Info not available'); 
INSERT INTO D_COMPONENT (COMPONENT_ID,NAME,PARENT_COMPONENT_ID,PRODUCT_ID) VALUES (-1,'Info not available',-1,-1);   
INSERT INTO D_PROGRAM (PROGRAM_ID,NAME) VALUES (-1,'Info Not Available');                           
INSERT INTO D_PROJECT (PROJECT_ID,PROGRAM_ID,NAME) VALUES (-1,-1,'Info not available');                             
INSERT INTO D_RELEASE (RELEASE_ID,NAME) VALUES (-1,'Info not available');                             
INSERT INTO D_REQUEST (REQUEST_ID,NAME) VALUES (-1,'Info not available');                             
INSERT INTO D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID,NAME) VALUES (-1,'Info not available');                        
INSERT INTO D_REQUEST_STATE (STATE_ID,NAME)VALUES (-1,'Info not available');                       
INSERT INTO D_REQUEST_SOURCE (REQUEST_SOURCE_ID,NAME) VALUES (-1,'Info not available');                              
INSERT INTO D_REQUIREMENT (REQUIREMENT_ID,NAME) VALUES (-1,'Info not available');                         
INSERT INTO D_REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID,NAME) VALUES (-1,'Info not available');                    
INSERT INTO D_REQUIREMENT_STATE (STATE_ID,NAME) VALUES (-1,'Info not available');                   
INSERT INTO D_RESOLUTION (RESOLUTION_ID,NAME) VALUES(-1,'Info not available');                            
INSERT INTO D_SEVERITY (SEVERITY_ID,NAME) VALUES (-1,'Info not available');                            
INSERT INTO D_STATUS (STATUS_ID,NAME) VALUES (-1,'Info not available');      
INSERT INTO D_STABILITY (STABILITY_ID,NAME) VALUES (-1,'Info not available');  
INSERT INTO D_DIFFICULTY (DIFFICULTY_ID,NAME) VALUES (-1,'Info not available');                              
INSERT INTO D_TESTSUITELOG (TESTSUITELOG_ID,NAME) VALUES (-1,'Info not available');                        
INSERT INTO D_TASK  (TASK_ID,NAME) VALUES (-1,'Info not available');                     
INSERT INTO D_TASK_CLASSIFICATION (TASK_CLASS_ID,NAME) VALUES(-1,'Info not avaialble'); 
INSERT INTO D_TASK_STATE (STATE_ID,NAME)  VALUES(-1,'Info not avaialble');              
INSERT INTO D_TESTCASE (TESTCASE_ID,NAME) VALUES (-1,'Info not available');                            
INSERT INTO D_TESTCASE_STATE (STATE_ID,NAME) VALUES (-1,'Info not available');                      
INSERT INTO D_TIMESHEET_STATE (STATE_ID,NAME) VALUES (-1,'Info not available');                   
INSERT INTO D_EXECUTION_RESULT (EXECUTION_RESULT_ID,NAME) VALUES (-1,'Info not available');                             
INSERT INTO D_EXECUTION_WORKITEM (EXECWORKITEM_ID,NAME) VALUES (-1,'Info not available');                 
INSERT INTO D_TESTPLAN (TESTPLAN_ID,NAME) VALUES (-1,'Info not available');                            
INSERT INTO D_TESTPLAN_STATE (STATE_ID,NAME) VALUES (-1,'Info not available');                      
INSERT INTO D_TESTSUITE (TESTSUITE_ID,NAME) VALUES (-1,'Info not available');                           
INSERT INTO D_TESTSUITE_STATE (STATE_ID,NAME) VALUES (-1,'Info not available');                     
INSERT INTO D_VERDICT (VERDICT_ID,NAME) VALUES (-1,'Info not available'); 
INSERT INTO D_ACTIVITY_STATE (STATE_ID,	NAME) VALUES(-1,'Info not available');
INSERT INTO D_ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID,NAME) VALUES(-1,'Info not avaialble'); 
INSERT INTO D_COMPONENT_CLASSIFICATION (COMPONENT_CLASS_ID,NAME) VALUES(-1,'Info not avaialble'); 
INSERT INTO D_PROJECT_CLASSIFICATION (PROJECT_CLASS_ID,NAME) VALUES(-1,'Info not avaialble'); 
INSERT INTO D_ASSETREGISTRY (ASSETREGISTRY_ID,NAME) VALUES(-1,'Info not avaialble'); 
INSERT INTO D_TASK_TYPE (TASK_TYPE_ID,NAME) VALUES(-1,'Info not avaialble'); 
INSERT INTO D_BUILD_TYPE (BUILD_TYPE_ID,NAME) VALUES(-1,'Info not avaialble'); 
INSERT INTO D_TESTCASE_CLASSIFICATION(TESTCASE_CLASS_ID,NAME) VALUES(-1,'Info not avaialble'); 
INSERT INTO D_EXECWORKITEM_CLASSIFICATION(EXECWORKIT_CLASS_ID,NAME) VALUES(-1,'Info not avaialble'); 
INSERT INTO D_EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID,NAME) VALUES(-1,'Info not avaialble'); 
INSERT INTO D_TESTSUITE_CLASSIFICATION (TESTSUITE_CLASS_ID,NAME) VALUES(-1,'Info not avaialble'); 
INSERT INTO D_REQUEST_TYPE (REQUEST_TYPE_ID,NAME) VALUES (-1,'Info not avaialble'); 
INSERT INTO D_CONFIGURATION (CONFIGURATION_ID,NAME) VALUES (-1,'Info not avaialble'); 
INSERT INTO D_RESOURCE_GROUP (RESOURCE_GROUP_ID,NAME) VALUES (-1,'Info not avaialble');
INSERT INTO D_LAB_RESOURCE (LAB_RESOURCE_ID,NAME) VALUES (-1,'Info not avaialble');
INSERT INTO D_OS_TYPE (OS_TYPE_ID,NAME) VALUES (-1,'Info not avaialble');
INSERT INTO D_DATE (DATE_ID,PERIOD_START_DATE ,DAY_OF_WEEK,DAY_OF_MONTH,DAY_OF_YEAR,DAY_NAME,WEEK_OF_MONTH,WEEK_OF_YEAR,WEEK_NO,MONTH_OF_YEAR,MONTH_NAME,MONTH_NO,QUARTER_OF_YEAR,QUARTER_NO,YEAR_OF,DAY_OF_WEEK_ISO,WEEK_OF_MONTH_ISO,WEEK_OF_YEAR_ISO,WEEK_NO_ISO) VALUES (-1,'1899-12-31',-1,-1,-1,'No dayname',-1,-1,-1,-1,'No month',-1,-1,-1,-1,-1,-1,-1,-1);
INSERT INTO D_REQUEST_CATEGORY (REQUEST_CATEGORY_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_FILE_CLASSIFICATION (FILE_CLASS_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_FILE_STREAM_CLASSIFICATION (FILE_STREAM_CLASS_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_BUILD_CLASSIFICATION (BUILD_CLASS_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_JOB (JOB_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_JOB_RESULT (JOB_RESULT_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_JOB_RESULT_STATE (STATE_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_PROJECT_ALLOCATION (PROJECT_ALLOCATION_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_SKILL (SKILL_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_COMPETENCY (COMPETENCY_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_POOL (POOL_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_BASELINE (BASELINE_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_CHARGECODE (CHARGECODE_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_TIMECODE (TIMECODE_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_RISK (RISK_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_RISK_STATE (STATE_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_IMPACT_RANK (IMPACT_RANK_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_PROBABILITY_RANK (PROBABILITY_RANK_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_PROBABILITY_COST_RANK (PROBABILITY_COST_RANK_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_SCORE_RANK (SCORE_RANK_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_OPERATING_TERRITORY (TERRITORY_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO D_COUNTRY (COUNTRY_ID,NAME,TERRITORY_ID) VALUES (-1,'Info not available',-1);
INSERT INTO D_PROVINCE_STATE (PROVINCE_STATE_ID,NAME,COUNTRY_ID) VALUES (-1,'Info not available',-1);
INSERT INTO D_CITY (CITY_ID,NAME,PROVINCE_STATE_ID) VALUES (-1,'Info not available',-1);
INSERT INTO D_ORGANIZATION (ORGANIZATION_ID,NAME) VALUES (-1,'Info not available');

COMMIT;
